# rtphdrextntp64

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPHeaderExtension
                        ╰──rtphdrextntp64

## Factory details

Authors: – Sebastian Dröge

Classification: – `Network/Extension/RTPHeader`

Rank – marginal

Plugin – rtpmanager

Package – GStreamer Good Plug-ins

## Properties

### every-packet

    “every-packet” gboolean

If set to TRUE the header extension will be added to every packet, independent of its timestamp. By default only the first packet with a given timestamp will get the header extension added.

Flags : Read / Write

Default value : false

Since : 1.22

### interval

    “interval” guint64

The minimum interval between packets that get the header extension added.

On discontinuities the interval will be reset and the next packet gets the header extension added.

Flags : Read / Write

Default value : 0

Since : 1.22

The results of the search are